.home_main_parent{
  width: 64%;
  height: 100vh;
  overflow-y: auto;
}


@media (max-width:1350px) {
  .home_main_parent{
      width: 78%;
  }
}

@media (max-width:1150px) {
  .home_main_parent{
      width: 70%;
  }
}

@media (max-width:840px){
  .home_main_parent{
      width: 100%;
  }
}

.home_main_parent::-webkit-scrollbar {
	width: 4px;
}

.home_main_parent::-webkit-scrollbar-track {
	background: #fff;
}

.home_main_parent::-webkit-scrollbar-thumb {
	background: #E7F1FE;
}

.home_main_parent::-webkit-scrollbar-thumb:hover {
	background: #555;
}

.story_parent_div{
  width: 90%;
  height: fit-content;
  background-color: #fff;
  margin-left: auto;
  margin-right: auto;
  margin-top: 30px;
  border-radius: 10px;
  overflow-x: auto;
  display: flex;
}

.story_box_div{
  width: fit-content;
  height: 100%;
  margin-top: 3px;
  display: grid;
  place-items: center;
  margin-left: 15px;
  padding: 5px;
}

.story_text_class{
  color: #FF005C;
  font-size: 15px;
  margin: 0;
}

.story_parent_div::-webkit-scrollbar {
	width: 3px;
  height:5px;
}

.story_parent_div::-webkit-scrollbar-track {
	background: #fff;
}

.story_parent_div::-webkit-scrollbar-thumb {
	background: #E7F1FE;
}

.story_parent_div::-webkit-scrollbar-thumb:hover {
	background: #555;
}

.write_post_parent_div{
  width: 90%;
  height: fit-content;
  background-color: #fff;
  margin-left: auto;
  margin-right: auto;
  margin-top: 30px;
  border-radius: 10px;
  overflow-x: auto;
  display: flex;
}

.user_icon_class{
  padding: 2%;
}

.write_post_input_div{
  width: 40%;
  height: 50px;
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  margin-top: auto;
  margin-bottom: auto;
}

.write_post_input_class{
  width: 100%;
  height: 100%;
  border: none;
  outline: none;
  background-color: #F6F9FF;
  padding: 0;
  font-size: 15px;
  color: #000;
  padding-left: 10px;
  border-radius: 10px;
}

.search_icon_class{
  position: absolute;
  width: 25px;
  top: 30%;
  font-size: 20px;
  right: 25px;
  cursor: pointer;
  color: #BEB4FF;
}

.search_icon_class:hover{
  transform: scale(1.1);
}

.write_post_icon_class{
  width: 50px;
  height: fit-content;
  margin-top: auto;
  margin-bottom: auto;
  margin-left: 23px;
}

.post_parent_div{
  width: 90%;
  height: fit-content;
  background-color: #fff;
  margin-left: auto;
  margin-right: auto;
  margin-top: 30px;
  border-radius: 10px;
  border-radius: 10px;
  overflow: hidden;
  margin-top: 40px;
}

.post_video_div{
  width: 100%;
  height: fit-content;
  margin-top: auto;
  margin-bottom: auto;
  margin-left: auto;
  margin-right: auto;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 10px;
  overflow: hidden;
}

.post_video_class{
  width: 100% !important;
}

.post_content_div{
  width: 100%;
  height: fit-content;
}

.post_content_first_div{
  width: 100%;
  height: fit-content;
  display: flex;
  margin-top: 20px;
  justify-content: space-between;
  padding: 20px;
}

.official_content_first_div{
  width: 100%;
  height: fit-content;
  display: flex;
  margin-top: 20px;
  padding: 5px;
  justify-content: space-between;
}

.post_content_first_left{
  width: 200px;
  height: 100%;
  display: flex;
}

.post_content_first_right{
  width: fit-content;
  height: 100%;
  display: flex;
}

.post_option_icon_class{
  margin-top: auto;
  margin-bottom: auto;
  margin-left: 20px;
  cursor: pointer;
}

.post_option_icon_class:hover{
  transform: scale(1.1);
}

.post_user_name_class{
  height: 100%;
  margin-top: auto;
  color: #FF005C;
}

.user_reaction_count_div{
  width:100%;
  height: fit-content;
  padding: 20px;
  display: flex;
}

.official_user_reaction_count_div{
  width:100%;
  height: fit-content;
  padding: 5px;
  display: flex;
}

.reaction_user_icon_class{
  width: 40px;
}

.reaction_user_icon_class1{
  width: 40px;
  margin-left: -20px;
}

.reaction_user_icon_class2{
  width: 40px;
  margin-left: -20px;
}

.official_reaction_user_icon_class{
  width: 30px;
}

.official_reaction_user_icon_class1{
  width: 30px;
  margin-left: -15px;

}

.official_reaction_user_icon_class2{
  width: 30px;
  margin-left: -15px;
}

.reaction_parent_div{
  width: 100%;
  height: 70px;
  display: flex;
  justify-content: space-between;
  padding: 20px;
}

.official_reaction_parent_div{
  width: 100%;
  height: 70px;
  display: flex;
  justify-content: space-between;
  padding: 5px;
}

.reaction_inner_div{
  width: fit-content;
  display: flex;
}

.reaction_like_div{
  display: flex;
  width: fit-content;
  margin-left: 20px;
}

.official_reaction_like_div{
  display: flex;
  width: fit-content;
  margin-left: 10px;

}

.post_comment_parent_div{
  width: 100%;
  height: fit-content;
  margin-top: 20px;
  display: flex;
  position: relative;
  padding: 20px;
}

.comment_input_div{
  width: 100%;
  margin-left: 20px;
  border-radius: 30px;
  border: none;
  outline: none;
  background-color: #F6F9FF;
  padding: 20px;
}

.comment_icon_class{
  position: absolute;
  width: 25px;
  top: 35%;
  font-size: 30px;
  right: 45px;
  cursor: pointer;
  color: #BEB4FF;
  margin-bottom: 20px;
}


/* Official Video Carousel Css */

.official_video_carousel_parent{
  width: 95%;
  height: fit-content;
  padding: 20px;
  margin-left: auto;
  margin-right: auto;
  
}

.official_video_card_parent{
  width: 380px;
  margin-left: 10px;
  height: fit-content;
  background-color: #fff;
  box-shadow: rgba(50, 50, 93, 0.25) 0px 2px 5px -1px, rgba(0, 0, 0, 0.3) 0px 1px 3px -1px;
}

.offiicial_video_container_div{
  width: 100%;
  height: fit-content;
  display: flex;
  justify-content: center;
  align-items: center;
}

.official_video_player_class{
  width: 100%;
}

.entertainment_news_carousel_parent{
  width: 90%;
  height: fit-content;
  padding: 20px;
  margin-left: auto;
  margin-right: auto;
}

.explore_btn_parent{
  width: 100%;
  height: fit-content;
  display: flex;
}

@media (max-width:600px){
  .explore_btn_parent{
    display: inline;
  }
}

.explore_btn{
  border-radius: 30px;
  padding-left: 20px;
  padding-right: 20px;
  margin-left: 10px;
  margin-top: 20px;
}

.quiz_parent_div{
  width: 100%;
  padding: 20px;
  height: fit-content;
}

.quiz_img_div{
  width: 90%;
  height: fit-content;
  margin-left: 5%;
  display: inline;
  justify-content: center;
  align-items: center;
}

.quiz_question_text{
  margin-left: 6%;
  margin-top: 30px;
}

.quiz_options_div{
  display: grid;
  place-items: center;
}

.quiz_options_btn{
  width: 300px;
  padding-left: 30px;
  padding-right: 30px;
  font-size: 25px;
  border-radius: 30px;
  margin-top: 30px;
}